use strict;
use warnings;
use Test::More;
use lib 't/lib';
use PScm::Test tests => 3;

BEGIN { use_ok('PScm') }

eval_ok(<<EOF, <<EOR, 'spawn');
(if (spawn)
    (begin
        (print "hello")
        (print "hello")
        1)
    (begin
      (print "goodbye")
      (print "goodbye")
      (exit)))
EOF
"hello"
"goodbye"
"hello"
"goodbye"
1
EOR

eval_ok('(exit)', '', 'exit');

# vim: ft=perl
